package com.willalp.canteen.domain;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.willalp.common.annotation.Excel;
import com.willalp.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * cuisine对象 hs_canteen_cuisine
 *
 * @author songyu
 * @date 2021-11-25
 */

@TableName("hs_canteen_cuisine")
public class HsCanteenCuisine extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 菜品id */
    @TableId
    private String cuisineId;

    /** 菜品编号 */
    @Excel(name = "菜品编号")
    private String cuisineNumber;

    /** 菜品名称 */
    @Excel(name = "菜品名称")
    private String cuisineName;

    /** 菜品图品 */
    @Excel(name = "菜品图品")
    private String cuisinePictrue;

    /** 菜品价格 */
    @Excel(name = "菜品价格")
    private BigDecimal cuisinePrice;

    /** 启用标志 0-启用 1-禁用 */
    @Excel(name = "启用标志 0-启用 1-禁用")
    private String qybz;

    /** 机构代码 **/
    @Excel(name = "机构代码")
    private String jgid;

    /** 是否删除（0.未删除；1.已删除） */
    @Excel(name = "是否删除", readConverterExp = "0=.未删除；1.已删除")
    @TableLogic
    private Integer isDelete;

    public void setCuisineId(String cuisineId)
    {
        this.cuisineId = cuisineId;
    }

    public String getCuisineId()
    {
        return cuisineId;
    }
    public void setCuisineNumber(String cuisineNumber)
    {
        this.cuisineNumber = cuisineNumber;
    }

    public String getCuisineNumber()
    {
        return cuisineNumber;
    }
    public void setCuisineName(String cuisineName)
    {
        this.cuisineName = cuisineName;
    }

    public String getCuisineName()
    {
        return cuisineName;
    }
    public void setCuisinePictrue(String cuisinePictrue)
    {
        this.cuisinePictrue = cuisinePictrue;
    }

    public String getCuisinePictrue()
    {
        return cuisinePictrue;
    }
    public void setCuisinePrice(BigDecimal cuisinePrice)
    {
        this.cuisinePrice = cuisinePrice;
    }

    public BigDecimal getCuisinePrice()
    {
        return cuisinePrice;
    }
    public void setQybz(String qybz)
    {
        this.qybz = qybz;
    }

    public String getQybz()
    {
        return qybz;
    }
    public void setIsDelete(Integer isDelete)
    {
        this.isDelete = isDelete;
    }

    public Integer getIsDelete()
    {
        return isDelete;
    }

    public String getJgid() {
        return jgid;
    }

    public void setJgid(String jgid) {
        this.jgid = jgid;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("cuisineId", getCuisineId())
            .append("cuisineNumber", getCuisineNumber())
            .append("cuisineName", getCuisineName())
            .append("cuisinePictrue", getCuisinePictrue())
            .append("cuisinePrice", getCuisinePrice())
            .append("qybz", getQybz())
                .append("jgid", getJgid())
            .append("isDelete", getIsDelete())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
